Subject: CROSS COMPILER

From: "Felix Kean" <[email-masked]>
Date: Thu, 03 Feb 2000 09:47:51 GMT

Hello,

I followed Chris Rutter's page, and after I build the glibc I get the error 
mentioned at the end.

This is what I did so far:

system: i586 PC + redhat linux 6.0
target: arm-elf
used files:

binutils-2.9.5.0.14.tar.bz2
linux-2.2.12.tar.gz
patch-2.2.12-rmk1.gz
linux-2.2.12rmk1-cvs990915.diff
gcc-core-2.95.1.tar.gz
gcc-2.95-diff-990730.gz
gcc-fold-const.patch
  glibc-2.1.2.tar
  glibc-crypt-2.1.tar
  glibc-linuxthreads-2.1.2.tar

I get the following error...
make[1]: Entering directory
`/home/vijay/glibc-2.1.2/stdio-common'
arm-linux-gcc ../sysdeps/generic/tempname.c -c -O
-Wall -Winline -Wstrict-prototypes -Wwrite-strings -g
    -I../include -I.  -I..
-I../sysdeps/standalone/arm -I../sysdeps/standalone
-I../sysdeps/arm/fpu -I../sysdeps/arm
-I../sysdeps/wordsize-32 -I../sysdeps/ieee754
-I../sysdeps/libm-ieee754 -I../sysdeps/generic
-include ../include/libc-symbols.h     -o tempname.o
../sysdeps/generic/tempname.c: In function
`__path_search':
../sysdeps/generic/tempname.c:33: number of arguments
doesn't match prototype
../include/stdio.h:37: prototype declaration
make[1]: *** [tempname.o] Error 1
make[1]: Leaving directory
`/home/vijay/glibc-2.1.2/stdio-common'
make: *** [stdio-common/subdir_lib] Error 2

Can somebody help me.

Regards
Felix
______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++